OSDN Git Service

trunk整理
[ultramonkey-l7/ultramonkey-l7-v3.git] / test / script / l7vsadm / l7vsadm-4-3-29-5.sh
diff --git a/test/script/l7vsadm/l7vsadm-4-3-29-5.sh b/test/script/l7vsadm/l7vsadm-4-3-29-5.sh
new file mode 100755 (executable)
index 0000000..82d617a
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+. ${SET_DEFAULT_CONF}
+
+#Add Service
+$L7VSD
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSD"
+        exit 1
+fi
+usleep 100000
+
+$L7VSADM -A -t localhost:40001 -m ip
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSADM -A -t localhost:40001 -m ip"
+        exit 1
+fi
+
+RET=`$L7VSADM -E -t localhost:40001 -m ip -q 1000G 2>&1 | grep "PARSE ERROR: QoS downstream value is too big.(--qos-down)"`
+EXPECT="PARSE ERROR: QoS downstream value is too big.(--qos-down)"
+if [ "${RET}" != "${EXPECT}" ]
+then
+        echo "Test failed: $L7VSADM -E -t localhost:40001 -m ip -q 1000G"
+        exit 1
+fi
+
+exit 0
+